import { ElementRef, EventEmitter, QueryList, NgZone, Renderer } from '@angular/core';
import { Ion } from '../ion';
import { Config } from '../../config/config';
import { Platform } from '../../platform/platform';
/**
 * @private
 */
export declare abstract class RootNode {
    abstract getElementRef(): ElementRef;
    abstract initPane(): boolean;
    abstract paneChanged?(visible: boolean): void;
}
/**
 * @name SplitPane
 */
export declare class SplitPane extends Ion implements RootNode {
    private _zone;
    private _plt;
    _rmListener: any;
    _visible: boolean;
    _init: boolean;
    _mediaQuery: string | boolean;
    _children: RootNode[];
    sideContent: RootNode;
    mainContent: RootNode;
    _setchildren: QueryList<RootNode>;
    when: string | boolean;
    ionChange: EventEmitter<SplitPane>;
    constructor(_zone: NgZone, _plt: Platform, config: Config, elementRef: ElementRef, renderer: Renderer);
    _register(node: RootNode, isMain: boolean, callback: Function): boolean;
    ngAfterViewInit(): void;
    _update(): void;
    _updateChildren(): void;
    _setVisible(visible: boolean): void;
    isVisible(): boolean;
    setElementClass(className: string, add: boolean): void;
    _setPaneCSSClass(elementRef: ElementRef, isMain: boolean): void;
    ngOnDestroy(): void;
    initPane(): boolean;
}
